import { ModelType } from '..';
import { SubscribeInterface } from './subscribe.interface';
export declare class CacheItem {
    model: ModelType;
    value: unknown;
    key: string;
    subscribers: Map<number, Function>;
    constructor(value: unknown, key: string, model: ModelType);
    put(value: unknown): void;
    publish(value: unknown): void;
    get(): unknown;
    forget(): void;
    notifySubscribers(): Promise<unknown[]> | undefined;
    subscribe: SubscribeInterface;
}
