import { SyncAbstractDriverInterface } from "../../drivers/sync-abstract-driver.class";
import { BaseModel } from "./base-model.class";
import { ModelOptionsInterface } from "./model-options.interface";
export declare class KeyValueModel<DataType extends Record<string, any> = Record<string, any>, DriverType extends SyncAbstractDriverInterface | undefined = undefined> extends BaseModel<DataType, DriverType> {
    constructor(options: Partial<ModelOptionsInterface>);
    seeded: boolean;
    seed(seed: Function | Partial<DataType>): void;
}
